Page MenuHomePhabricator

Code cleanup
Closed, ResolvedPublic

Description

I did some code cleanup using static code analysis with phpStorm.
Some parts are already reviewd but 3 Changes are still missing.
https://gerrit.wikimedia.org/r/#/q/status:open+project:mediawiki/extensions/Math+branch:master+topic:staticCodeAnalysis,n,z

Event Timeline

Physikerwelt raised the priority of this task from to Needs Triage.
Physikerwelt updated the task description. (Show Details)
Physikerwelt added a project: Math.
Physikerwelt added a subscriber: Physikerwelt.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2015, 3:20 PM
gerritbot added a subscriber: gerritbot.

Change 178506 had a related patch set uploaded (by Physikerwelt):
Remove unused XML namespace

https://gerrit.wikimedia.org/r/178506

Patch-For-Review

Change 178507 had a related patch set uploaded (by Physikerwelt):
Avoid call to method that could be undefined

https://gerrit.wikimedia.org/r/178507

Patch-For-Review

Change 178508 had a related patch set uploaded (by Physikerwelt):
Add type hinting for newFromMd5 constructor

https://gerrit.wikimedia.org/r/178508

Patch-For-Review

Physikerwelt set Security to None.Jan 19 2015, 5:27 PM
Physikerwelt added subscribers: Jdforrester-WMF, TheDJ.

Change 178506 merged by jenkins-bot:
Remove unused XML namespace

https://gerrit.wikimedia.org/r/178506

Change 178508 merged by jenkins-bot:
Add type hinting for newFromMd5 constructor

https://gerrit.wikimedia.org/r/178508

Change 178507 abandoned by Krinkle:
Avoid call to method that could be undefined

https://gerrit.wikimedia.org/r/178507

Krinkle closed this task as Resolved.Jan 22 2015, 7:17 PM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.

Done.